
import java.rmi.*;

/* Accessing a remote account on a client and 
   depositing argument value into account */
public class Deposit{
  public static void main(String[] args){
    try {
      // lookup account
      String url = "rmi://localhost:1972/account1";
      BankAccount acct = (BankAccount) Naming.lookup(url);
      acct.deposit(Float.valueOf(args[0]).floatValue());
      System.out.println("New balance: "+acct.balance());
    } catch (Exception e){
      System.out.println("Account access error: " + e);
    }
  }
}
